manywaypark's Blog
개발, 검색, 함수

일단 npm을 설치하고 나서 bower를 설치한다.

$ sudo apt-get npm

$ sudo npm install -g bower

대충 아래와 같이 하면 다운로드 받아서 설정해주는 건데...

bower install angular#1.2.17

or

bower install angular#1.3.0-beta.11

현재 내 ubuntu box(Linux my-lin 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux)에서는 npm만 설치해서는 안됐고 nodejs-legacy package도 같이 설치해야 동작했다.

그냥 node라고 치면 아무것도 실행 안되고 node 또는 nodejs-legacy에 있다고 나오는데,

The program 'node' can be found in the following packages:

 * node

 * nodejs-legacy

Try: sudo apt-get install <selected package>

생각 없이 node를 설치했더니 완전히 꼬임. Orz
여튼 nodejs-legacy를 설치하고 하면 잘 됨.

refs:
http://bower.io/
https://github.com/bower/bower/issues/201
 

happy hackin'

1 ··· 80 81 82 83 84 85 86 87 88 ··· 297 
분류 전체보기 (297)
잡담 (20)
함수형 언어 (62)
emacs (16)
java (18)
tips & tricks (149)
사랑 (1)
가사 (0)
독서 (4)
mobile (6)
비함수형 언어 (2)